LIBVALHALLA-TEST(1)

NAME
libvalhalla-test - a test media indexing utility which uses libvalhalla

SYNOPSIS
libvalhalla-test [options ...] paths ...

DESCRIPTION
This manual page documents briefly the libvalhalla-test command.

libvalhalla-test is a command-line media indexing tool which uses libvalhalla. It is mainly used to test and exercise libvalhalla capabilities.

OPTIONS

-h --help
    this help

-v --verbose
    increase verbosity

-l --loop
    number of loops

-t --timewait
    time to wait between loops [sec]

-m --timelimit
    time limit [ms] for the scanning

-a --priority
    priority for the threads

-d --database
    path for the database

-f --download
    path for the downloader destination

-c --commit-int
    commits interval

-p --parser
    number of parsers

-n --decrap
    enable decrapifier (for title metadata)

-k --keyword
    keyword for the decrapifier

-s --suffix
    file suffix (extension)

-g --grabber
    grabber to be used

  Example:

    libvalhalla-test -l 2 -t 5 -d ./mydb.db -p 1 -a 15 -s ogg -s mp3 /home/foobar/music

Default values are:

    loop=1, timewait=0, database=./valhalla.db, commit-int=128, parser=2, priority=19,

    suffix=flac,m4a,mp3,ogg, wav,wma,avi,mkv,mov,mpg,wmv, bmp,gif,jpeg,jpg,png,tga,tif,tiff

AUTHOR
libvalhalla was written by Mathieu Schroeter <mathieu.schroeter@gamesover.ch>, Benjamin Zores <ben@geexbox.org>, Fabien Brisset <fbrisset@gmail.com> and Davide Cavalca <davide@geexbox.org>.

This manual page was written by Davide Cavalca <davide@geexbox.org>, for the Debian project (but may be used by others).